Photshop CS6: Opening a PSD but it says: PSD file is not compatible with this version of Photoshop

  • 1
  • Problem
  • Updated 1 week ago
  • (Edited)
Hello, i have Adobe Photshop cs6. I wanted to open a PSD but it says something about: PSD file is not compatible with this version of Photoshop, even tho it worked before. Can somebody help me?
Photo of Sevox

Sevox

  • 1 Post
  • 0 Reply Likes
  • sad

Posted 6 months ago

  • 1
Photo of Joel Weisbrod

Joel Weisbrod

  • 194 Posts
  • 113 Reply Likes
It looks like it was opened and saved with a newer version that had compatibility turned off making it unusable in older versions. Ask someone with a newer version to open it and save it in compatibility mode so you can open it!
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 15366 Posts
  • 2241 Reply Likes
Can you post a copy of the file? PSDs should be backward compatible. You might see a warning about unknown data asking if you want to keep layers or read composite.
Photo of Will

Will

  • 1 Post
  • 0 Reply Likes
I am also having this issue with CC. I am using the most updated version to try to open (after trying the version that I had saved with ). It gives me this compatibility message. 
(Edited)
Photo of Joe Creative

Joe Creative

  • 39 Posts
  • 6 Reply Likes
It might be a filter that CS6 does not have, or smart objects effects that CS6 does not understand like liquify Usually, blur effects etc...you can open the file, but some of the filters or effects might be merged or issuing. Hope that helps...